/*
Theme Name:  Bioxnet Theme Child
Description: Child theme for Bioxnet Theme
Template:   bioxnet
Text Domain: bioxnet-child
Version: 1.0
*/

@media (min-width: 959px) {
  .theme-bioxnet-child .menu-desktop li ul li a:hover::before {
		opacity: 0;
  }
  .theme-bioxnet-child .menu-desktop li a:hover {
    color: var(--wp--preset--color--custom-color-2);
  }
  .theme-bioxnet-child  .wp-block-navigation-item__content:has(+ .wp-block-navigation-submenu):after {
        border: solid var(--wp--preset--color--custom-color-2);
        border-width: 0 1px 1px 0;
        padding: 3px;
   }
     .theme-bioxnet-child .menu-desktop li ul {
        min-width: 200px;
      
    }
	.theme-bioxnet-child .menu-desktop li a:hover:after {
        width: inherit;
        opacity: 1;
    }
	.theme-bioxnet-child header .menu-desktop li a:has(+ .wp-block-navigation__submenu-container:hover) {
        color: var(--wp--preset--color--custom-color-2);
   }

   .navigation-space-between .navigation-space-between.wp-block-navigation{
    width: 100%;
    display: flex;
    justify-content: space-between;
  }
}

header .wp-block-site-logo{
	display:none;
}
.header-sticky .wp-block-site-logo{
	display:none;
}




@media (max-width: 958px) {
header .wp-block-site-logo{
	display:block;
}
.wp-block-group.header-flex{
		display: flex;
        flex-direction: column;
}
.wp-block-group.header-flex .header-izq {
    display: flex;
    justify-content: space-between;
    width: 100%;
}
.wp-block-group.header-flex .header-izq .wp-block-site-logo, .wp-block-group.header-flex .header-izq .wp-block-bioxnet-toggle{
    margin-left: 0 !important;
    margin-right: 0 !important;
}
.wp-block-group.header-flex .header-der {
    display: flex;
    justify-content: space-between;
    width: 100%;
}
	
.wp-block-group.header-flex .header-der .wp-block-group {
   display: flex;
    justify-content: space-between;
    width: 100%;
	gap: 14px;
}
	
.wp-block-group.flex-footer{
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
}
.wp-block-group.logo-redes-footer{
	 width: 100%;
    margin-block-start: 24px;
    margin-block-end: 12px;
    border-bottom: 1px solid #b0c8de;
    padding: 0 0 25px 0;	
}
	.btn-obten-tu-clave{
		 margin-block-start: 24px;
	}
	.acordeon-footer{
		width:100%
	}
	.acordeon-footer .wrap-acordeon{
		width:100%
	}
	.wp-site-blocks.menu-active {
    position: relative;
    z-index: 1000;
	}
	.header-sticky.visible .wp-block-site-logo{
	display:block;
}
	.header-sticky.visible .wp-block-group.header-flex .header-der, .header-sticky .wp-block-group.header-flex .header-der{
	display:none;
}
	
}
.menu-desktop li.ingresar-menu a{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.menu-desktop li.ingresar-menu a:hover{
   color:#FFF;
}
.menu-desktop li.ingresar-menu a .wp-block-navigation-item__label{
	font-size: 12px;
    flex-direction: column;
    align-items: flex-start !important;
	gap: 0 !important;
	color:#ffad00;
}
.menu-desktop li.ingresar-menu a .wp-block-navigation-item__label:hover{
	color:#ffe200;
}
.menu-desktop li.ingresar-menu a .wp-block-navigation-item__label strong{
	font-size:18px;
	display:block;
		
}
.menu-desktop li.ingresar-menu a:before{
   content:"";
	background-image:url(https://autosdatamovil.com/wp-content/uploads/2025/04/user.png);
	background-size: 19px;
    background-repeat: no-repeat;
	width:19px;
	height:19px;
	display: inline-block;
}
.menu-desktop li.ingresar-menu a .wp-block-navigation-item__label{
    display: inline-flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 4px;
	position:relative;
}
.menu-desktop li.ingresar-menu a .wp-block-navigation-item__label:after{
   content: "";
	width: 0;
	height:1px;
	background-color:var(--wp--preset--color--custom-color-2);
	position:absolute;
	margin: 0 auto;
	left: 0;
	right: 0;
	bottom:-6px;
	-webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
     transition: all .3s ease;
}
.menu-desktop li.ingresar-menu a:hover .wp-block-navigation-item__label:after{
   width: 100%;
}

.wp-block-cover.bg-cover-page{
    min-height: 140px !important;
}

.wp-block-social-links.redes-header .wp-social-link svg{
    height: 20px;
    width: auto;
}

.wp-block-social-links.redes-header .wp-social-link.wp-social-link-tiktok svg{
    height: 18px;
    width: auto;
}

.grid-hover-direction .hentry .wp-block-cover {
	overflow:hidden;
}
.grid-hover-direction .hentry .wp-block-cover:before{
	content: "";
	 position: absolute;
	  top: 0;
	  left: 0;
	  width: 100%;
	  height: 100%;
	   background-color: rgba(0, 79, 152, 0.7);
	  z-index:4;
	 transition: transform 0.3s ease; 
	opacity:0;
}
/* Deslizar desde la izquierda */
.grid-hover-direction .hentry.hover-left .wp-block-cover:before {
   opacity: 0;
  -webkit-transform: translateX(-100%);
      -ms-transform: translateX(-100%);
          transform: translateX(-100%); 
  -webkit-animation: animate-hover-left 0.3s ease-in forwards; 
          animation: animate-hover-left 0.3s ease-in forwards;
}

/* Deslizar desde la derecha */
.grid-hover-direction .hentry.hover-right .wp-block-cover:before {
  opacity: 0;
  -webkit-transform: translateX(100%);
      -ms-transform: translateX(100%);
          transform: translateX(100%); 
  -webkit-animation: animate-hover-right 0.3s ease-in forwards; 
          animation: animate-hover-right 0.3s ease-in forwards;
}

/* Deslizar desde arriba */
.grid-hover-direction .hentry.hover-top .wp-block-cover:before {
  opacity: 0;
  -webkit-transform: translateY(-100%);
      -ms-transform: translateY(-100%);
          transform: translateY(-100%); 
  -webkit-animation: animate-hover-top 0.3s ease-in forwards; 
          animation: animate-hover-top 0.3s ease-in forwards;
}

/* Deslizar desde abajo */
.grid-hover-direction .hentry.hover-bottom .wp-block-cover:before {
  opacity: 0;
  -webkit-transform: translateY(100%);
      -ms-transform: translateY(100%);
          transform: translateY(100%); 
  -webkit-animation: animate-hover-bottom 0.3s ease-in forwards; 
          animation: animate-hover-bottom 0.3s ease-in forwards;
}



@-webkit-keyframes animate-hover-top {
  from {
    opacity: 0;
    -webkit-transform: translateY(-100%);
            transform: translateY(-100%); 
  }
  to {
    opacity: 1;
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}

@keyframes animate-hover-top {
  from {
    opacity: 0;
    -webkit-transform: translateY(-100%);
            transform: translateY(-100%); 
  }
  to {
    opacity: 1;
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}

@-webkit-keyframes animate-hover-bottom {
  from {
    opacity: 0;
    -webkit-transform: translateY(100%);
            transform: translateY(100%); 
  }
  to {
    opacity: 1;
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}

@keyframes animate-hover-bottom {
  from {
    opacity: 0;
    -webkit-transform: translateY(100%);
            transform: translateY(100%); 
  }
  to {
    opacity: 1;
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}

@-webkit-keyframes animate-hover-right {
  from {
    opacity: 0;
    -webkit-transform: translateX(100%);
            transform: translateX(100%); 
  }
  to {
    opacity: 1;
    -webkit-transform: translateX(0);
            transform: translateX(0);
  }
}

@keyframes animate-hover-right {
  from {
    opacity: 0;
    -webkit-transform: translateX(100%);
            transform: translateX(100%); 
  }
  to {
    opacity: 1;
    -webkit-transform: translateX(0);
            transform: translateX(0);
  }
}

@-webkit-keyframes animate-hover-left {
  from {
    opacity: 0;
    -webkit-transform: translateX(-100%);
            transform: translateX(-100%); 
  }
  to {
    opacity: 1;
    -webkit-transform: translateX(0);
            transform: translateX(0);
  }
}

@keyframes animate-hover-left {
  from {
    opacity: 0;
    -webkit-transform: translateX(-100%);
            transform: translateX(-100%); 
  }
  to {
    opacity: 1;
    -webkit-transform: translateX(0);
            transform: translateX(0);
  }
}

.wrap-sucursales  .wp-block-cover__inner-container:has(.sucursal-titulo){
	z-index:6 !important;
}
.wrap-sucursales .leer-mas.wp-block-read-more{
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    left: 0;
    top: 0;
    z-index: 7;
}


/* Start Inteligimotors --------------------------------- */

.content-col-form-arrendadora{
  top: -80px !important;
  position:relative;
	margin-bottom: -80px;
}
.form-react {
  width: 600px;
  height: 700px;
}

intelimotor-vehicles{
	max-width:100%;
}
.text-color.svelte-1m58cr8 {
    color: var(--wp--preset--color--custom-color-1);
}
.container-shadow.svelte-1m58cr8 {
    box-shadow: none;
    border: 1px solid #eeeeee;
    border-radius: 5px;
}
.text-gray-500.svelte-1m58cr8 {
    color: #929292;
    font-size: 15px;
}
.text-black.svelte-1m58cr8 {
    margin-bottom: 6px;
}
@media (min-width: 1536px) {
    .xxlCols.svelte-1jyqweh {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }
}
/* End Inteligimotors --------------------------------- */

.bg-breadcrumbs .yoast-breadcrumbs{
	display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    align-items: center;
    font-size: 14px;
    color: #FFF;
}
.bg-breadcrumbs .yoast-breadcrumbs a{
	color: #FFF;
	text-decoration:none
}
.bg-breadcrumbs .yoast-breadcrumbs a:hover{
	color: #FFF;
	text-decoration: underline;
}

.css-width-auto{
 width: auto !important;
}

.wrap-blog li:first-child{
    grid-column: span 3;
    display: grid;
    grid-template-columns: 60% repeat(1, 1fr);
    grid-column-gap: 30px;
    row-gap: 30px;
    align-items: center;
	margin-block-end: 20px;
}
.wrap-blog li:first-child figure.wp-block-post-featured-image{
    aspect-ratio: auto;
    width: 100%;
    height: 400px !important;
}
.wrap-blog li:first-child figure.wp-block-post-featured-image a{
    height: 400px !important;
}


.theme-bioxnet-child figure.wp-block-gallery.has-nested-images.logos-socios{
    display: grid;
    grid-column-gap: 18px;
    row-gap: 35px;
}


.theme-bioxnet-child figure.wp-block-gallery.has-nested-images.logos-socios.columns-6{
   grid-template-columns: repeat(6, 1fr);
}
.theme-bioxnet-child figure.wp-block-gallery.has-nested-images.logos-socios.columns-5{
   grid-template-columns: repeat(5, 1fr);
}

.theme-bioxnet-child figure.wp-block-gallery.has-nested-images.logos-socios.columns-4{
   grid-template-columns: repeat(4, 1fr);
}
.theme-bioxnet-child figure.wp-block-gallery.has-nested-images.logos-socios.columns-3{
   grid-template-columns: repeat(3, 1fr);
}

.theme-bioxnet-child figure.wp-block-gallery.has-nested-images.logos-socios.columns-2{
   grid-template-columns: repeat(2, 1fr);
}

.theme-bioxnet-child .wp-block-gallery.logos-socios .wp-block-image{
        width: 100% !important;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
}

.theme-bioxnet-child .wp-block-gallery.logos-socios figure.wp-block-image>a{
   display: inline-flex;
    justify-content: center;
    align-items: center;
}
.call-to-action-aprobacion{
    background: -webkit-gradient(linear, left top, right top, from(#e3e3e3), color-stop(#DBDBDB), color-stop(#F2F2F2), to(#ededed));
    background: -o-linear-gradient(left, #e3e3e3, #DBDBDB, #F2F2F2, #ededed);
    background: linear-gradient(to right, #e3e3e3, #DBDBDB, #F2F2F2, #ededed);
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.09);
    border-radius: 20px;
    padding: 25px 20px 38px 20px;
    border: 1px solid #eeeeee;
}
.animate-less-shake {
      display: inline-block;
      animation: suaveShake 3s ease-in-out infinite;
    }
@keyframes suaveShake {
     0%, 20% { transform: translateX(0); }       
      25% { transform: translateX(-3px); }
      30% { transform: translateX(3px); }
      35% { transform: translateX(-2px); }
      40% { transform: translateX(2px); }
      45%, 100% { transform: translateX(0); }
    }

/* Formulario aprueba tu credito --------------------------------- */
.aprueba-tu-credito-formulario .argmcf-form-steps-wrapper .argmcf-form-steps{
	width:100%;
	max-width:none;
	padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
	margin-bottom: 20px;
}
.aprueba-tu-credito-formulario .argmcf-wrapper .argmcf-nav-buttons {
        padding: 10px 0;
}
.aprueba-tu-credito-formulario .columns{
	margin-bottom: 6px !important;
}
.aprueba-tu-credito-formulario button[type="submit"]{
	    background-color: var(--wp--preset--color--custom-color-2);
}
.aprueba-tu-credito-formulario button[type="submit"]:hover{
	    background-color: var(--wp--preset--color--custom-color-1);
}

.custom-file {
  position: relative;
  display: inline-block;
  background-color:  #333;
  color: #fff;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  font-weight: bold;
  margin-top: 10px;
}

.custom-file:hover {
  background-color: var(--wp--preset--color--custom-color-2);
}

.custom-file input[type="file"] {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  cursor: pointer;
  z-index: 2;
}

.custom-file .file-name {
  display: block;
  margin-top: 10px;
  font-weight: normal;
  font-size: 12px;
  color: #ffffff;
}



.wrap-input-file{
    background-color: #e9e8ec;
    padding: 12px 10px 15px 10px;
    border-radius: 4px;
    margin-bottom: 10px;
    margin-top: 5px;
    width: 100%;
    display: block;
    float: left;
}



.wpcf7-form-control.wpcf7-file::before {
content: "Seleccionar archivo";
    color: #ffffff;
    position: absolute;
    background-color: var(--wp--preset--color--custom-color-1);
    padding: 10px;
    left: -5px;
    top: -5px;
    pointer-events: none;
    border-radius: 5px;
}
.wpcf7-form-control.wpcf7-file::before:hover {
content: "Seleccionar archivo";
    color: #ffffff;
    background-color: var(--wp--preset--color--custom-color-2);
}

.wpcf7-form-control.wpcf7-file::-webkit-file-upload-button {
  visibility: hidden;
}
.wpcf7-form-control.wpcf7-file::file-selector-button {
  visibility: hidden;
}



/* PopUp --------------------------------- */
.contentPopUp {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
  z-index: 99999999;
}

.contentPopUp.active {
  opacity: 1;
  visibility: visible;
}

.popup-inner {
   background: white;
    padding: 20px;
    border-radius: 10px;
    max-width: 560px !important;
    width: 85%;
    min-width: auto;
	transform: translateY(40px); /* Empieza más abajo */
	  opacity: 0;
	  transition: transform 0.3s ease, opacity 0.3s ease;
}
.contentPopUp.active .popup-inner {
  transform: translateY(0);
  opacity: 1;
}

.closePopUp {
    position: absolute;
    top: -10px;
    right: -6px;
    border: none;
    background: #000;
	color: #ffffff !important;
    font-size: 1.5rem;
    cursor: pointer;
    line-height: 1;
    margin-block-start: 0;
    padding: 0;
    width: 26px;
    height: 26px;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: center;
	-webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
      transition: all .3s ease;
}


.closePopUp:hover {
 background: red;
	color: #ffffff !important;
}
.wrap-pop-up-active{
	z-index: 99999;
}
@media (max-width: 790px) {
	.centrar-botones-en-movil{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
	}	
	.wp-block-image.beneficios-app-img{
		 max-width: 180px;
		 border-radius: 10px;
		 overflow: hidden;
	}
	.form-react{
		width:100%;
	}
	.wrap-blog li:first-child{
    grid-column: 1;
    grid-template-columns: 1fr;
}
	.menu-desktop li.ingresar-menu a {
    justify-content: flex-start;
}
	.theme-bioxnet-child figure.wp-block-gallery.has-nested-images.logos-socios.columns-5{
		grid-template-columns: repeat(3, 1fr);
	}
}


@media (max-width: 682px) {
	.wp-block-bioxnet-boton.telefono-header .custom-bioxnet-boton{
		width:38px;
        height:38px;
		background-color: var(--wp--preset--color--custom-color-2);
		border-radius: 50%;
	}
	.wp-block-bioxnet-boton.telefono-header .texto{
		display:none;
	}
	.wp-block-bioxnet-boton.sucursales-header{
	   margin-right: auto;
	}
	.requisitos-credito .wp-block-image{
		width: 68px;
		flex-shrink: 0;
	}
	.wp-block-social-links.redes-header .wp-social-link svg {
    height: 28px;
    width: auto;
}
	
}

.page-id-302 header{
    position: relative !important;
}

